/*
 * Class BILINEAR [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2159 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2159 [] = {0xFF01,1551,2158,857,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2159 [] = {0xFF01,2158,857,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2159 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2159 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2159 [] = {0xFF01,2158,857,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2159 [] = {0xFF01,2158,857,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2159 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2159 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2159 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2159 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2159 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2159 [] = {2158,857,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2159 [] = {0xFF01,2158,857,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2159 [] = {0xFF01,2141,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2159 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2159 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2159 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2159[] = {
	{EIF_GENERIC(NULL), 8987, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2159), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2159), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2159), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2159), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2159), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2159), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2159), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2159), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2159), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2159), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2159), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2159), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2159), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2159), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8930, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8669, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8672, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2159), 8941, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2159), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2159), 8934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2159), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8932, 0xFFFFFFFF},
};
void Init2159(void)
{
	IDSC(desc_2159, 0, 2158);
	IDSC(desc_2159 + 1, 1, 2158);
	IDSC(desc_2159 + 32, 1134, 2158);
	IDSC(desc_2159 + 41, 1444, 2158);
	IDSC(desc_2159 + 50, 1534, 2158);
	IDSC(desc_2159 + 57, 1245, 2158);
}


#ifdef __cplusplus
}
#endif
